﻿@import url("fontes/roboto/roboto-font-family.css");

:root {
    --cor-primaria: #075985;
    --cor-primaria-rgb: 7, 89, 133;
    --cor-secundaria: #0891B2;
    --cor-secundaria-rgb: 8, 145, 178;
    --cor-contraste-fonte-bg-primaria: #fff;
    --cor-contraste-fonte-bg-primaria-rgb: 255, 255, 255;
    --cor-contraste-fonte-bg-secundaria: #fff;
    --cor-contraste-fonte-bg-secundaria-rgb: 255, 255, 255;
    /*    https://cssfilterconverter.com/ */
    --cor-primaria-filter-img: brightness(0) saturate(100%) invert(0%) sepia(0%) saturate(7500%) hue-rotate(338deg) brightness(106%) contrast(109%);
    --cor-constraste-primaria-filter-img: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(0%) hue-rotate(142deg) brightness(101%) contrast(101%);
    --fonte-padrao: Verdana, Arial, "-apple-system", "Helvetica Neue", Helvetica, sans-serif;
    --toolbar-espaco-pagina--top: 15px;
}

:root {
    --cor-bg-tela: #FCFCFC;
    --cor-bg-hover-padrao-elemento: #ededed;
    --cor-bg-scroll-bar: #c1c1c1;
    --cor-bg-scroll-bar-hover: #a8a8a8;
    --cor-bg-scroll-bar-pressed: #787878;
    --cor-fonte: #424242;
    --cor-fonte-label-valor: #030712;
    --cor-fonte-label-campos: #6B7280;
    --cor-fonte-hover-link: #101010;
    --cor-icone-campo: #9CA3AF;
    --cor-icone-header-ou-principal: #1F2937;
    --cor-borda-input: #D1D5DB;
    --cor-borda-sistema: #D9D9D9;
    --valor-border-radius-modal: 10px;
    --valor-border-radius-btn: 5px;
    --valor-border-radius-input: 5px;
    --tamnho-cabecalho: 80px;
    --tamanho-fonte-icone: 14px;
    --tamanho-fonte-campo: 12px;
    --tamanho-label-info-campo: 8px;
    --tamanho-titulo: 14px;
}
/*Grid*/
:root {
    --cor-bg-grid-acoes: #FFF;
    --cor-coluna-e-rodape: #F4F4F4;
    --cor-icones-grid-e-label-acao-grid: #4B5563;
    --cor-fonte-grid: #424242;
    --cor-fonte-grid-destaque: #101010;
    --cor-fonte-grid-selected: #2b2b2b;
    --cor-bg-linha-focus: rgba(var(--cor-primaria-rgb), 0.25);
    --cor-bg-linha-imparer: #fff;
    --cor-bg-linha-imparer-select: rgba(var(--cor-primaria-rgb), 0.15);
    --cor-bg-linha-par: #F9F9F9;
    --cor-bg-linha-par-select: rgba(var(--cor-primaria-rgb), 0.15);
}
/*checkbox*/
:root {
    --cor-checkbox-checked: #4d4d4d;
    --cor-bg-checkbox-checked: linear-gradient(0deg, #d1d1d1, #dfdfdf);
    --cor-borda-checkbox: #b8b8b8;
}